# Asterisk Project : Asterisk 13 Function_REALTIME_FIELD

Created by wikibot on Aug 08, 2014

# REALTIME_FIELD()

### Synopsis

RealTime query function.

### Description

This function retrieves a single item, fieldname from the RT engine, where fieldmatch contains the value matchvalue. When written to, the REALTIME_FIELD() function performs identically to the REALTIME() function.

### Syntax

    REALTIME_FIELD(family,fieldmatch,matchvalue,fieldname)

##### Arguments

- `family`
- `fieldmatch`
- `matchvalue`
- `fieldname`

### See Also

- Asterisk 13 Function_REALTIME
- Asterisk 13 Function_REALTIME_STORE
- Asterisk 13 Function_REALTIME_DESTROY
- Asterisk 13 Function_REALTIME_HASH

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538